coupang
GET/v2/providers/fms/apis/api/v1/vendors/{vendorId}/budgets2609170000

(Common) Run a query on budget status

# 01

Summary

(Common) Run a query on budget status

# 02

Details

Available buyer market: Korea

This API is used to view the coupon budget status of all contracts that are currently set.
Since the coupon budget is set on a monthly basis in accordance with contract terms and conditions, you can view the contract on a monthly basis.

Path

GET/v2/providers/fms/apis/api/v1/vendors/{vendorId}/budgets

Example endpoint

https://api-gateway.coupang.com/v2/providers/fms/apis/api/v1/vendors/A00012345/budgets?contractId=-1&targetMonth=2017-08
# 03

Path parameters

NameTypeDescription
vendorId*string
Vendor ID
An unique code Coupang assigns to a vendor
e.g.) A00012345
# 04

Query parameters

NameTypeDescription
contractIdnumber
A contract Id (enter -1 for a free contract)
targetMonthstring
The month for a budget view
yyyy-MM
You get the view of the current month unless you enter target month.
# 05

Response body

Response message

NameTypeDescription
codeinteger
Server response code
messagestring
Server response message
httpStatusinteger
HTTP Status Code(the same as server response code)
httpStatusMessagestring
HTTP Status Message (the same as server response message)
errorMessagestring
Except for HTTP Status 200, all other statuses contain a message on a detailed reason for server failure.
dataobject
Budget status list data
success
data.success
boolean
Success
true or false
content
data.content
object[]
Budget status list
contractId
data.content[].contractId
integer
A vendor contract Id
e.g.) 1, 2
targetMonth
data.content[].targetMonth
string
The target month for running a query
e.g.) 2017-08
vendorShareRatio
data.content[].vendorShareRatio
integer
A share ratio(%) : A ratio agreed upon with Coupang in the contract
e.g.) 100
totalBudgetAmount
data.content[].totalBudgetAmount
integer
Budget amount set for the month concerned
e.g.) 1000000
usedBudgetAmount
data.content[].usedBudgetAmount
integer
Budget amount used for the month concerned
e.g.) 50.00
pagination
data.pagination
string

Response Example

{
  "code": 200,
  "message": "OK",
  "httpStatus": 200,
  "httpStatusMessage": "OK",
  "errorMessage": "",
  "data": {
    "success": true,
    "content": [
      {
        "contractId": 2,
        "targetMonth": "2017-08",
        "vendorShareRatio": 100,
        "totalBudgetAmount": 1000000,
        "usedBudgetAmount": 50
      }
    ],
    "pagination": null
  }
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
401401 (Check the requested parameter)

Check the vendor access.

Check the vendor Id for correctness.

400400 (Check the requested parameter)

Invalid format: "2020" is too short

Check that the target month for running a query is correct.